module MentalLandFlagTrigger

using ..Ahorn, Maple

@mapdef Trigger "MentalLand/FlagTrigger" FlagTrigger(
    x::Integer, y::Integer, width::Integer=Maple.defaultTriggerWidth, height::Integer=Maple.defaultTriggerHeight, flag::String=""
)

const placements = Ahorn.PlacementDict(
    "Flag Trigger (MentalLand)" => Ahorn.EntityPlacement(
        FlagTrigger,
        "rectangle",
    )
)

end